Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Interface KeyValueBinding

All Superinterfaces:
  AttributeBinding

All Known Implementing Classes:
  BasicAttributeBinding, ManyToOneAttributeBinding

    public interface KeyValueBinding

extends AttributeBinding

TODO : javadoc

Method Summary
`String` | `getUnsavedValue()`
`boolean` | `isKeyCascadeDeleteEnabled()`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getAttribute, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isAssociation, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Method Detail

### isKeyCascadeDeleteEnabled

    boolean isKeyCascadeDeleteEnabled()

### getUnsavedValue

    String getUnsavedValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.